# frozen_string_literal: true
require 'instagramp/link'
require 'instagramp/scope'
require 'instagramp/config'
require 'httparty'
module Instagramp
  # GET Auth Link Facebook
    class Auth
      class NotFoundConfigFile < StandardError; end
      class ForceUseRails < StandardError; end
    def call(config)
      begin
        link          = "#{Instagram::Post::LINK}client_id=#{config[:client_id]}&redirect_uri=#{config[:redirect_uri]}&scope=#{config[:scope]}"
      rescue
        NotFoundConfigFile.new('Please set config file in initialize path.')
      end
    end


    def self.link(config)
      new.call(config)
    end
  end
end
